Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# MutableHomogeneousColorBaseConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename ColorBase>
struct boost::gil::MutableHomogeneousColorBaseConcept< ColorBase >

Homogeneous color base that allows for modifying its elements.

    concept MutableHomogeneousColorBaseConcept<ColorBaseConcept CB> : HomogeneousColorBaseConcept<CB> {
        kth_element_reference_type<CB,0>::type dynamic_at_c(CB&, std::size_t n);
    };

## Public Member Functions

void | constraints ()

## Public Attributes

ColorBase | cb

The documentation for this struct was generated from the following file:

- gil_concept.hpp